OSRAM Switch Mini broadcasts to all Smart+ Plugs

Hello everyone,

I posted this on https://github.com/Koenkk/zigbee2mqtt/issues/962, but I am not sure, if it is so “smart” to post on issue closed long ago.

I read this issue with great interest because i have the same problem. I bougth a OSRAM switch mini “AC0251600NJ/AC0251100NJ” to switch my lights. But after pairing the switch with my RaspBerryPi-powered zigbee2mqtt, it broadcasts to all my Osram Smart+ Plugs (zigbee switchable socket).

When looking through the debug-output I can see that zigbee2mqtt detects all messages from the switch, but all sockets turn on/off also, even if the RaspberryPi is powered down. So assume I have this broadcast-probleme described in this issue.

Following this thread I switched to dev-branch.
I am using the project from https://github.com/ct-Open-Source/ct-Smart-Home, which uses the zigbee2mqqt docker. My docker-compose.yml looks like this.

[...]
zigbee:
image: koenkk/zigbee2mqtt:latest-dev
volumes:
- ./data/zigbee:/app/data
- /opt/zigbee-herdsman-converters:/app/node_modules/zigbee-herdsman-converters
devices:
- "/dev/ttyACM0:/dev/ttyACM0"
restart: always
[...]

To get the newest devices.js I followed the steps

cd /opt
git clone https://github.com/Koenkk/zigbee-herdsman-converters.git

and added the following setting to my compose.yml as you can see above.

-v /opt/zigbee-herdsman-converters:/app/node_modules/zigbee-herdsman-converters

What have I done wrong or what have I missed?
New thought: Could that be an firmware problem, do I need a newer firmware? Currently I am on

Coordinator firmware version: ‘20190109’

Additional question: What is correct “style” in this project or the right place to ask questions. Here in discourse or as an issue in gitHub?

Thanks in advance, any hint will be appreciated.

Cheers
Ascia

p.s: Thanks for all the great work you put in zigbee2mqtt, such a great project!!

SOLVED:

Issue is solved, the error was self-made: The docker-compose.yml referenced :latest-dev, but the start-script actually still started the latest stable image. Now running with latest-dev everything is fine.

Cheers
Ascia